> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dreamlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1balance

> Returns only the balance owned by the authenticated API key.



## OpenAPI

````yaml /openapi/managed.yaml get /v1/balance
openapi: 3.1.0
info:
  title: DreamLayer Managed Image API
  version: '1'
  description: Opaque conversational image execution for runtimes, apps, and agents.
servers:
  - url: https://api.dreamlayer.io
security:
  - bearerAuth: []
paths:
  /v1/balance:
    get:
      description: Returns only the balance owned by the authenticated API key.
      operationId: getBalance
      responses:
        '200':
          description: Transactionally consistent Agent API credit balance
          headers:
            Cache-Control:
              schema:
                type: string
                const: private, no-store
            Pragma:
              schema:
                type: string
                const: no-cache
            Vary:
              schema:
                type: string
                const: Authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/TemporaryFailure'
components:
  schemas:
    Balance:
      type: object
      additionalProperties: false
      required:
        - promotional
        - purchased
        - available
        - credit_usd
      properties:
        promotional:
          type: integer
          minimum: 0
        purchased:
          type: integer
          minimum: 0
        available:
          type: integer
          minimum: 0
        credit_usd:
          type: string
          const: '0.17'
    ErrorEnvelope:
      type: object
      additionalProperties: false
      required:
        - error
      properties:
        error:
          type: object
          additionalProperties: false
          required:
            - code
            - reason
            - message
            - category
            - retryable
            - request_id
          properties:
            code:
              type: string
              description: Legacy uppercase code retained for existing clients.
            reason:
              $ref: '#/components/schemas/PublicErrorReason'
            message:
              type: string
            category:
              type: string
            retryable:
              type: boolean
            request_id:
              type: string
              format: uuid
            details:
              type: object
              description: >-
                Optional sanitized validation detail. Submitted values are never
                echoed.
              additionalProperties: true
    PublicErrorReason:
      type: string
      enum:
        - invalid_request
        - authentication_failed
        - access_denied
        - resource_not_found
        - insufficient_credits
        - conflict
        - too_many_active_jobs
        - rate_limited
        - quota_exceeded
        - content_refused
        - temporarily_unavailable
        - generation_failed
  responses:
    Unauthenticated:
      description: Missing, invalid, or revoked API key
      headers:
        Cache-Control:
          schema:
            type: string
            const: no-store
        Pragma:
          schema:
            type: string
            const: no-cache
        X-Request-ID:
          schema:
            type: string
            format: uuid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: Request, stream, or in-flight limit reached
      headers:
        Cache-Control:
          schema:
            type: string
            const: no-store
        Pragma:
          schema:
            type: string
            const: no-cache
        X-Request-ID:
          schema:
            type: string
            format: uuid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    TemporaryFailure:
      description: Retryable service failure
      headers:
        Cache-Control:
          schema:
            type: string
            const: no-store
        Pragma:
          schema:
            type: string
            const: no-cache
        X-Request-ID:
          schema:
            type: string
            format: uuid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````